### Signal

# Hinawa FwResp::requested

since: 4.0

#### Declaration

    HinawaFwRcode
    requested (
      HinawaFwResp* self,
      HinawaFwTcode tcode,
      guint64 offset,
      guint src_node_id,
      guint dst_node_id,
      guint card_id,
      guint generation,
      guint tstamp,
      gpointer frame,
      guint length,
      gpointer user_data
    )

#### Description [src]

Emitted when any node transfers request subaction to local nodes within the address range reserved in Linux system.

The handler is expected to call `hinawa_fw_resp_set_resp_frame()` with frame and return `HinawaFwRcode` for response subaction.

The value of `tstamp` is unsigned 16 bit integer including higher 3 bits for three low order bits of second field and the rest 13 bits for cycle field in the format of IEEE 1394 CYCLE_TIMER register.

If the version of kernel ABI for Linux FireWire subsystem is less than 6, the value of tstamp argument has invalid value (=G_MAXUINT). Furthermore, if the version is less than 4, the src, dst, card, generation arguments have invalid value (=G_MAXUINT).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`tcode`

  Type: `HinawaFwTcode`

  One of `HinawaFwTcode` enumerations.

`offset`

  Type: `guint64`

  The address offset at which the transaction arrives.

`src_node_id`

  Type: `guint`

  The node ID of source for the transaction.

`dst_node_id`

  Type: `guint`

  The node ID of destination for the transaction.

`card_id`

  Type: `guint`

  The index of card specific to the 1394 OHCI hardware at which the request subaction arrived.

`generation`

  Type: `guint`

  The generation of bus when the transaction is transferred.

`tstamp`

  Type: `guint`

  The isochronous cycle at which the request arrived.

`frame`

  Type: An array of `guint8`

  The array with elements for byte data.

  The length of the array is specified in the `length` argument.

`length`

  Type: `guint`

  The length of bytes for the frame.

#### Return value

Type: `HinawaFwRcode`

One of `HinawaFwRcode` enumerations corresponding to rcodes defined in IEEE 1394 specification.